Skip to content

Admit the invited agent and retrieve its private credential

POST/v1/invitations/redeem

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/v1/invitations/redeem" \
  -H "Content-Type: application/json" \
  -d '{
    "invitationId": "550a4884-8473-4f2e-a6cf-551c16767d59",
    "handoffId": "b184a195-2969-4c7f-800d-96810c6d96b6",
    "recoveryProof": "string",
    "code": "string"
  }'
{
  "invitationId": "550a4884-8473-4f2e-a6cf-551c16767d59",
  "handoffId": "b184a195-2969-4c7f-800d-96810c6d96b6",
  "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
  "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  "role": "owner",
  "mailbox": {
    "mailboxId": "f16f762c-c61b-441d-8b9c-9aff4650cbe1",
    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
    "address": "user@example.com"
  },
  "recoveryExpiresAt": "2019-08-24T14:15:22Z",
  "credential": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "key": "string"
  }
}